View Issue Details

IDProjectCategoryView StatusLast Update
0003050VALENTINA SERVERSQLpublic2008-03-03 03:01
ReporterFabianAssigned ToRuslan Zasukhin 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.5.2 
Target VersionFixed in Version3.5.3 
Summary0003050: Update of textfield formerly read with clientside cursor not updateable
DescriptionVery strange
I read a Text-field, normally containing RTF text, with a clientside cursor (clientside cursor seems to be 2.5 times faster than serverside cursor). If I UPDATE the value later with a simple SQLExecute and bindings, the value was not written to DB but the DB shows a segment error.
Returning back to serverside cursor all works as expected.
Query always with lock=none and random access. Size of text about 100 Bytes.
Additional InformationReproducible with one field 'Anamnesenotiz' but not with others???
TagsNo tags attached.

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2008-02-26 07:29

administrator   ~0003253

please check 3.5.3b2 build

http://www.valentina-db.com/download/beta/3.5.3b2

2008-02-26 07:36

 

VServer_Embedded.zip (10,625 bytes)
Fabian

Fabian

2008-02-26 07:40

reporter   ~0003254

Can I simply replace server files without crashing installation or do I have to care about COM files???
Ruslan Zasukhin

Ruslan Zasukhin

2008-02-26 21:20

administrator   ~0003255

you can install only VSERVER for test. was no change in netw protocol
Fabian

Fabian

2008-02-27 03:51

reporter   ~0003256

Hi Ruslan

just tested 3.5.3 b2. YES that helps. The problem mentioned above is fixed. But I am very very curious about WHY. I find it a bit strange that the type of cursor (ServerSide vs. ClientSide) has a side effect on updating a value (cache?). An idea would be fine.
Ruslan Zasukhin

Ruslan Zasukhin

2008-03-03 03:01

administrator   ~0003265

bug was in algorithm of vserver-layer as I know. It not correctly have call kernel method.

Issue History

Date Modified Username Field Change
2008-02-26 07:13 Fabian New Issue
2008-02-26 07:29 Ruslan Zasukhin Note Added: 0003253
2008-02-26 07:36 Fabian File Added: VServer_Embedded.zip
2008-02-26 07:40 Fabian Note Added: 0003254
2008-02-26 21:20 Ruslan Zasukhin Note Added: 0003255
2008-02-27 03:51 Fabian Note Added: 0003256
2008-03-03 03:01 Ruslan Zasukhin Note Added: 0003265
2008-03-03 03:01 Ruslan Zasukhin Status new => resolved
2008-03-03 03:01 Ruslan Zasukhin Fixed in Version => 3.5.3
2008-03-03 03:01 Ruslan Zasukhin Resolution open => fixed
2008-03-03 03:01 Ruslan Zasukhin Assigned To => Ruslan Zasukhin